package com.bootdo.system.dao;

import com.bootdo.system.domain.ThirdMsgLogDO;
import com.bootdo.system.domain.ThirdMsgLogDOExample;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 第三方接口调用日志
 *
 * @author Mr.xiBel
 */
@Mapper
public interface ThirdMsgLogDOMapper {
    long countByExample(ThirdMsgLogDOExample example);

    int deleteByExample(ThirdMsgLogDOExample example);

    /**
     * delete by primary key
     *
     * @param logId primaryKey
     * @return deleteCount
     */
    int deleteByPrimaryKey(Integer logId);

    /**
     * insert record to table
     *
     * @param record the record
     * @return insert count
     */
    int insert(ThirdMsgLogDO record);

    /**
     * insert record to table selective
     *
     * @param record the record
     * @return insert count
     */
    int insertSelective(ThirdMsgLogDO record);

    List<ThirdMsgLogDO> selectByExample(ThirdMsgLogDOExample example);

    /**
     * select by primary key
     *
     * @param logId primary key
     * @return object by primary key
     */
    ThirdMsgLogDO selectByPrimaryKey(Integer logId);

    int updateByExampleSelective(@Param("record") ThirdMsgLogDO record, @Param("example") ThirdMsgLogDOExample example);

    int updateByExample(@Param("record") ThirdMsgLogDO record, @Param("example") ThirdMsgLogDOExample example);


    /**
     * update record selective
     *
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKeySelective(ThirdMsgLogDO record);

    /**
     * update record
     *
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKey(ThirdMsgLogDO record);

    int updateBatch(List<ThirdMsgLogDO> list);

    int batchInsert(@Param("list") List<ThirdMsgLogDO> list);
}